Skip to main content
GET
/
apps
/
{appId}
/
notification-rules
List Notification Rules
curl --request GET \
  --url https://api.vela.dev/v1/apps/{appId}/notification-rules \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "appId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "eventName": "<string>",
    "conditions": [
      {
        "id": "<string>",
        "field": "<string>",
        "operator": "equals",
        "value": "<string>"
      }
    ],
    "actions": [
      {
        "id": "<string>",
        "destinationId": "<string>",
        "channel": "slack",
        "target": "<string>",
        "enabled": true
      }
    ],
    "enabled": true,
    "lastTriggeredAt": "2023-11-07T05:31:56Z",
    "triggerCount": 123,
    "createdAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Client secret for management API access. Format: vela_cs_...

Path Parameters

appId
string
required

App UUID or slug

Response

200 - application/json

List of notification rules

id
string

Rule identifier

appId
string<uuid>
name
string

Rule display name

eventName
string

Event name to watch

conditions
object[]

Conditions to evaluate (empty = trigger on all)

actions
object[]

Delivery actions

enabled
boolean
lastTriggeredAt
string<date-time> | null
triggerCount
integer
createdAt
string<date-time>